#pragma once
#include "CommonScript.h"

class GetLastDaysHistoryScript final : public CommonScript {
    Q_OBJECT

public:
    ~GetLastDaysHistoryScript() override;

    explicit GetLastDaysHistoryScript(
        AccountInfo account,
        QObject *parent = nullptr
    );

protected:
    void doStart() override;

private:
    const AccountInfo m_account;

    bool saveAndPostNewTransactionData(const AccountInfo &account, const TransactionInfo &transaction);

    bool updateAndPostTransactionData(
        const AccountInfo &account,
        int transactionId,
        TransactionStatus status,
        const QString &oldDesc,
        const QString &newDesc
    );
};
